﻿<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.Common" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub proc_sds_Selected(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.SqlDataSourceStatusEventArgs)
        'result.Text = e.Command.Parameters("@RETURN_VALUE").Value & "件を取得しました"
        result.Text = _
            e.Command.Parameters("@num").Value & "件を取得しました"
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>ストアドプロシージャ</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        出版社：<asp:DropDownList ID="list" runat="server" AppendDataBoundItems="True" DataSourceID="list_sds"
            DataTextField="name" DataValueField="publish_id" AutoPostBack="True">
            <asp:ListItem Selected="True" Value="0">選択してください</asp:ListItem>
        </asp:DropDownList>
        <asp:Literal ID="result" runat="server"></asp:Literal>
        <asp:SqlDataSource ID="list_sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            SelectCommand="SELECT [publish_id], [name] FROM [publish]" ProviderName="<%$ ConnectionStrings:myDb.ProviderName %>"></asp:SqlDataSource>
        <asp:GridView ID="grid" runat="server" AllowPaging="True" AllowSorting="True"
            CellPadding="4" DataSourceID="proc_sds" ForeColor="#333333" GridLines="None" AutoGenerateColumns="False" DataKeyNames="isbn">
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#E3EAEB" />
            <EditRowStyle BackColor="#7C6F57" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:ImageField DataAlternateTextField="title" DataImageUrlField="isbn" DataImageUrlFormatString="http://www.wings.msn.to/books/{0}/{0}_logo.jpg"
                    HeaderText="ロゴ" SortExpression="isbn" ReadOnly="True">
                </asp:ImageField>
                <asp:HyperLinkField DataNavigateUrlFields="isbn" DataNavigateUrlFormatString="http://www.wings.msn.to/index.php/-/A-03/{0}/"
                    DataTextField="isbn" HeaderText="ISBNコード" SortExpression="isbn" />
                <asp:BoundField DataField="title" HeaderText="書名" SortExpression="title" />
                <asp:BoundField DataField="name" HeaderText="出版社" SortExpression="name" ReadOnly="True" />
                <asp:BoundField DataField="address" HeaderText="出版社所在地" SortExpression="address" />
                <asp:BoundField DataField="price" DataFormatString="{0:#,###円}" HeaderText="単価" HtmlEncode="False" SortExpression="price" />
                <asp:BoundField DataField="publishDate" DataFormatString="{0:yyyy年MM月dd日}" HeaderText="刊行日"
                    HtmlEncode="False" SortExpression="publishDate" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="proc_sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            SelectCommand="SelectCLR" SelectCommandType="StoredProcedure" OnSelected="proc_sds_Selected">
            <SelectParameters>
                <asp:ControlParameter ControlID="list" Name="publish_id" PropertyName="SelectedValue"
                    Type="Int32" />
                <asp:Parameter Direction="Output" Name="num" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
